[ELSA-2024-3671] ruby:3.3 security, bug fix, and enhancement update

Severity Moderate
Affected Packages 28
CVEs 3

ruby
[3.3.1-2]
- Upgrade to Ruby 3.3.1.
Resolves: RHEL-37697
- Fix buffer overread vulnerability in StringIO.
(CVE-2024-27280)
Resolves: RHEL-37699
- Fix RCE vulnerability with .rdoc_options in RDoc.
(CVE-2024-27281)
Resolves: RHEL-37696
- Fix Arbitrary memory address read vulnerability with Regex search.
(CVE-2024-27282)
Resolves: RHEL-37698

rubygem-mysql2
[0.5.5-1]
- Upgrade to mysql2 0.5.5.
Related: RHEL-17089

rubygem-pg
[1.5.4-1]
- Upgrade to pg 1.5.4.
Related: RHEL-17089

Package Affected Version
pkg:rpm/oraclelinux/rubygems?distro=oraclelinux-9.4 < 3.5.9-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygems-devel?distro=oraclelinux-9.4 < 3.5.9-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-typeprof?distro=oraclelinux-9.4 < 0.21.9-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-test-unit?distro=oraclelinux-9.4 < 3.6.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-rss?distro=oraclelinux-9.4 < 0.3.0-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-rexml?distro=oraclelinux-9.4 < 3.2.6-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-rdoc?distro=oraclelinux-9.4 < 6.6.3.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-rbs?distro=oraclelinux-9.4 < 3.4.0-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-rake?distro=oraclelinux-9.4 < 13.1.0-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-racc?distro=oraclelinux-9.4 < 1.7.3-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-psych?distro=oraclelinux-9.4 < 5.1.2-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-power_assert?distro=oraclelinux-9.4 < 2.0.3-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-pg?distro=oraclelinux-9.4 < 1.5.4-1.module+el9.4.0+90257+8524dee7
pkg:rpm/oraclelinux/rubygem-pg-doc?distro=oraclelinux-9.4 < 1.5.4-1.module+el9.4.0+90257+8524dee7
pkg:rpm/oraclelinux/rubygem-mysql2?distro=oraclelinux-9.4 < 0.5.5-1.module+el9.4.0+90257+8524dee7
pkg:rpm/oraclelinux/rubygem-mysql2-doc?distro=oraclelinux-9.4 < 0.5.5-1.module+el9.4.0+90257+8524dee7
pkg:rpm/oraclelinux/rubygem-minitest?distro=oraclelinux-9.4 < 5.20.0-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-json?distro=oraclelinux-9.4 < 2.7.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-irb?distro=oraclelinux-9.4 < 1.11.0-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-io-console?distro=oraclelinux-9.4 < 0.7.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-bundler?distro=oraclelinux-9.4 < 2.5.9-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/rubygem-bigdecimal?distro=oraclelinux-9.4 < 3.1.5-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/ruby?distro=oraclelinux-9.4 < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/ruby-libs?distro=oraclelinux-9.4 < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/ruby-doc?distro=oraclelinux-9.4 < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/ruby-devel?distro=oraclelinux-9.4 < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/ruby-default-gems?distro=oraclelinux-9.4 < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5
pkg:rpm/oraclelinux/ruby-bundled-gems?distro=oraclelinux-9.4 < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5
Type Package URL Namespace Name / Product Version Distribution / Platform Arch Patch / Fix
Affected pkg:rpm/oraclelinux/rubygems?distro=oraclelinux-9.4 oraclelinux rubygems < 3.5.9-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygems-devel?distro=oraclelinux-9.4 oraclelinux rubygems-devel < 3.5.9-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-typeprof?distro=oraclelinux-9.4 oraclelinux rubygem-typeprof < 0.21.9-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-test-unit?distro=oraclelinux-9.4 oraclelinux rubygem-test-unit < 3.6.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-rss?distro=oraclelinux-9.4 oraclelinux rubygem-rss < 0.3.0-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-rexml?distro=oraclelinux-9.4 oraclelinux rubygem-rexml < 3.2.6-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-rdoc?distro=oraclelinux-9.4 oraclelinux rubygem-rdoc < 6.6.3.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-rbs?distro=oraclelinux-9.4 oraclelinux rubygem-rbs < 3.4.0-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-rake?distro=oraclelinux-9.4 oraclelinux rubygem-rake < 13.1.0-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-racc?distro=oraclelinux-9.4 oraclelinux rubygem-racc < 1.7.3-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-psych?distro=oraclelinux-9.4 oraclelinux rubygem-psych < 5.1.2-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-power_assert?distro=oraclelinux-9.4 oraclelinux rubygem-power_assert < 2.0.3-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-pg?distro=oraclelinux-9.4 oraclelinux rubygem-pg < 1.5.4-1.module+el9.4.0+90257+8524dee7 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-pg-doc?distro=oraclelinux-9.4 oraclelinux rubygem-pg-doc < 1.5.4-1.module+el9.4.0+90257+8524dee7 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-mysql2?distro=oraclelinux-9.4 oraclelinux rubygem-mysql2 < 0.5.5-1.module+el9.4.0+90257+8524dee7 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-mysql2-doc?distro=oraclelinux-9.4 oraclelinux rubygem-mysql2-doc < 0.5.5-1.module+el9.4.0+90257+8524dee7 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-minitest?distro=oraclelinux-9.4 oraclelinux rubygem-minitest < 5.20.0-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-json?distro=oraclelinux-9.4 oraclelinux rubygem-json < 2.7.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-irb?distro=oraclelinux-9.4 oraclelinux rubygem-irb < 1.11.0-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-io-console?distro=oraclelinux-9.4 oraclelinux rubygem-io-console < 0.7.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-bundler?distro=oraclelinux-9.4 oraclelinux rubygem-bundler < 2.5.9-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/rubygem-bigdecimal?distro=oraclelinux-9.4 oraclelinux rubygem-bigdecimal < 3.1.5-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/ruby?distro=oraclelinux-9.4 oraclelinux ruby < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/ruby-libs?distro=oraclelinux-9.4 oraclelinux ruby-libs < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/ruby-doc?distro=oraclelinux-9.4 oraclelinux ruby-doc < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/ruby-devel?distro=oraclelinux-9.4 oraclelinux ruby-devel < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/ruby-default-gems?distro=oraclelinux-9.4 oraclelinux ruby-default-gems < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
Affected pkg:rpm/oraclelinux/ruby-bundled-gems?distro=oraclelinux-9.4 oraclelinux ruby-bundled-gems < 3.3.1-2.module+el9.4.0+90346+4cb4c4f5 oraclelinux-9.4
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories Exploits PoC Pubblication Date Modification Date
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories PoC Pubblication Date Modification Date
Loading...